<?php

namespace Objectiv\Plugins\Checkout\Action;

class ClientSideLogger extends CFWAction {

	/**
	 * AccountExistsAction constructor.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		parent::__construct( 'cfw_log_error' );
	}

	/**
	 * Checks whether the account exists on the website or not
	 *
	 * @since 1.0.0
	 */
	public function action() {
		$log_data = $_POST['log_data'] ?? array(); // phpcs:ignore

		if ( empty( $log_data ) ) {
			$this->out(
				array(
					'success' => false,
				)
			);
		}

		wc_get_logger()->error( 'CheckoutWC Client Side Error: ' . print_r( $log_data, true ), array( 'source' => 'checkout-wc' ) ); // phpcs:ignore WordPress.PHP.DevelopmentFunctions.error_log_print_r

		$this->out(
			array(
				'success' => true,
			)
		);
	}
}
